<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <import type="android.view.View" />
        <import type="com.impaktsoft.globeup.bindingadapters.BindingConvert"/>

        <variable
            name="user"
            type="com.impaktsoft.globeup.models.UserPOJO" />
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:id="@+id/contact_layout"
        android:layout_margin="@dimen/activity_horizontal_margin">

        <RelativeLayout
            android:id="@+id/conversation_layout_image"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true">

            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/conversation_image"
                android:layout_width="52dp"
                android:layout_height="52dp"
                cb_imageUrl="@{user.imgUrl}"
                cb_placeholder="@{@drawable/profile_filled_svg}"
                />

            <ImageView
                android:layout_width="15dp"
                android:layout_height="15dp"
                android:layout_alignEnd="@id/conversation_image"
                android:layout_alignBottom="@id/conversation_image"
                android:src="@drawable/ic_online_green"
                android:visibility="@{BindingConvert.isOnline(user) ? View.VISIBLE:View.GONE }" />
        </RelativeLayout>

        <LinearLayout
            android:layout_marginLeft="@dimen/activity_horizontal_margin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_toEndOf="@id/conversation_layout_image"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{user.name}"
                android:textColor="@color/colorPrimaryDark"
                android:textSize="@dimen/normal_size"
                tools:text="Ana Ion" />

        </LinearLayout>

    </RelativeLayout>

</layout>